Subject: Re: bug#6404: 23; NS: system scroll bar preference ignored

From: David Reitter <[email-masked]>
Date: Thu, 19 Nov 2020 08:44:05 -0500

Some of them. The defaults of highlight color for example I remember were
imported.
The scrollbar settings, I recall, are not.

Rather than fixing this in a piecemeal fashion, an Emacs port that uses
higher-level system APIs (and does not implement Emacs settings for such UI
details) would be the more realistic option. It could co-exist with the
low-level Emacs port.

On Wed, Nov 18, 2020 at 11:05 PM Stefan Kangas <[email-masked]> wrote:

> David Reitter <[email-masked]> writes:
>
> > Package: ns
> >
> > Emacs fails to respect the system  "Click in the scroll bar to: Jump to
> the spot that's clicked" in the Appearance system preference.
> > Clicks into the scroll bar always result in page-wise scrolling.
> >
> > Begin forwarded message:
> >
> > From: Tyler Perkins [email-masked]">[email-masked]
> > Date: March 15, 2010 8:37:09 PM EDT
> > To: [email-masked]
> > Subject: [Aquamacs-bugs] 23.1.93; System scroll bar preference ignored
> > Reply-To: Bug reports for Aquamacs Emacs [email-masked]">
> [email-masked]
> >
> > Like every other Mac app., Aquamacs should respect the system
> preference, "Click
> > in the scroll bar to: Jump to the spot that's clicked" in the Appearance
> system
> > preference. Aquamacs currently just jumps to the next (or previous) page
> when
> > the scroll bar is clicked below (above) the thumb. Jumping directly to
> the spot
> > was present in the original NeXTSTEP, as I recall, and it thankfully
> migrated to
> > Mac OS X. Once you get used to it, you'll never go back!
>
> Does Emacs respect any such system settings on macOS?
>